@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Template:   cocoon-master
Version:    0.0.5
*/

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1240px以下*/
@media screen and (max-width: 1240px){
  /*必要ならばここにコードを書く*/
}

/*1030px以下*/
@media screen and (max-width: 1030px){
  /*必要ならばここにコードを書く*/
}

/*768px以下*/
@media screen and (max-width: 768px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*デフォルトのサイトタイトルサイズ*/
.site-name-text{
  font-size: 36px;
}

/*ヘッダーレイアウトがトップメニューのとき*/
.header-container-in.hlt-top-menu .site-name-text{
  font-size: 32px;
}

/*ヘッダーレイアウトがトップメニュー（小）のとき*/
.header-container-in.hlt-top-menu.hlt-tm-small .site-name-text{
  font-size: 28px;
}

/*端末幅が768px以下のとき*/
@media screen and (max-width: 768px){
  #header .site-name-text{
    font-size: 22px;
  }
}

/*端末幅が480px以下のとき*/
@media screen and (max-width: 480px){
  #header .site-name-text{
    font-size: 18px;
  }
}

/* スライドイン背景色（モバイル） */
.mobile-menu-buttons {
background: rgba(255,156,83,0.8); /* RGBA形式 */
}

.article h2{
    padding: 0.8em;/*余白*/
	border-color: #0066cc;
    background-color: #E5F2FF;
    border-left: solid 6px #0000cd;
}

/* 吹き出し用CSS ここから */
/*---吹き出し---*/
.wp-block-media-text.balloon-4536 {
    grid-template-columns: 100px auto;
    margin-bottom: 1.5em;
}
.wp-block-media-text.has-media-on-the-right.balloon-4536 {
    grid-template-columns: auto 100px;
}
.balloon-4536.wp-block-media-text {
    -webkit-box-align: initial;
    -ms-flex-align: initial;
    align-items: initial;
}
.balloon-4536 figure {
    -ms-flex-item-align: start;
    align-self: flex-start;
    vertical-align: top;
}
.balloon-4536 figure img {
    border-radius: 50%;
    border: 1px solid #ddd;
}
.balloon-4536 .wp-block-media-text__content {
    -ms-flex-item-align: end;
    align-self: flex-end;
    border: 1px solid #aaa;
    padding: 4%;
    position: relative;
}
.balloon-4536 .wp-block-media-text__content p:last-child {
    margin-bottom: 0;
}
.balloon-4536 .wp-block-media-text__content::before,
.balloon-4536 .wp-block-media-text__content::after {
    position: absolute;
    content: '';
    border: 10px solid transparent;
    top: 25px;
}
.balloon-4536 .wp-block-media-text__content {
    margin-left: 20px;
}
.balloon-4536 .wp-block-media-text__content::before {
    border-right: 10px solid #aaa;
    left: -20px;
}
.balloon-4536 .wp-block-media-text__content::after {
    border-right: 10px solid #fff;
    left: -19px;
}
.balloon-4536.has-media-on-the-right .wp-block-media-text__content {
    margin-right: 20px;
    margin-left: 0;
}
.balloon-4536.has-media-on-the-right .wp-block-media-text__content::before {
    border-left: 10px solid #aaa;
    border-right: none;
    right: -20px;
    left: 100%;
}
.balloon-4536.has-media-on-the-right .wp-block-media-text__content::after {
    border-left: 10px solid #fff;
    border-right: none;
    right: -19px;
    left: calc(100% - 1px);
}
/*---考え事風---*/
.balloon-4536.think .wp-block-media-text__content {
    border-radius: 30px;
    -ms-flex-item-align: start;
    align-self: flex-start;
}
.balloon-4536.think .wp-block-media-text__content::before,
.balloon-4536.think.has-media-on-the-right .wp-block-media-text__content::before {
    border: 1px solid #aaa;
    border-radius: 50%;
    width: 8px;
    height: 8px;
    top: 15px;    
}
.balloon-4536.think .wp-block-media-text__content::after,
.balloon-4536.think.has-media-on-the-right .wp-block-media-text__content::after {
    border: 1px solid #aaa;
    border-radius: 50%;
    width: 4px;
    height: 4px;
    top: 20px;
}
.balloon-4536.think .wp-block-media-text__content::before {
    left: -12px;
}
.balloon-4536.think .wp-block-media-text__content::after {
    left: -19px;
}
.balloon-4536.think.has-media-on-the-right .wp-block-media-text__content::before {
    right: -12px;
    left: initial;
}
.balloon-4536.think.has-media-on-the-right .wp-block-media-text__content::after {
    right: -19px;
    left: initial;
}
/*---LINE風にする---*/
.balloon-4536.line .wp-block-media-text__content {
    border-radius: 20px;
    background-color: #00da00;
    border-color: transparent !important;
}
.balloon-4536.line .wp-block-media-text__content::before {
    border-right-color: transparent;
}
.balloon-4536.line .wp-block-media-text__content::after {
    border-right-color: #00da00;
}
.balloon-4536.line.has-media-on-the-right .wp-block-media-text__content::before {
    border-left-color: transparent;
}
.balloon-4536.line.has-media-on-the-right .wp-block-media-text__content::after {
    border-left-color: #00da00;
}
.balloon-4536.think.line .wp-block-media-text__content::before,.balloon-4536.think.line .wp-block-media-text__content::after {
    background-color: #00da00; 
    border-color: transparent !important;
}

/*---エディター反映用のCSS---*/
/*---吹き出し---*/
.wp-block-media-text.balloon-4536 {
    grid-template-columns: 100px auto !important;
}
.wp-block-media-text.has-media-on-the-right.balloon-4536 {
    grid-template-columns: auto 100px !important;
}
.balloon-4536.wp-block-media-text {
    -webkit-box-align: initial;
    -ms-flex-align: initial;
    align-items: initial;
}
.wp-block-media-text .editor-media-container__resizer {
    -ms-flex-item-align: start;
    align-self: flex-start;
}
.balloon-4536 figure {
    vertical-align: top;
}
.balloon-4536 figure img {
    border-radius: 50%;
    border: 1px solid #ddd;
}
.balloon-4536 .editor-inner-blocks {
    -ms-flex-item-align: end;
    align-self: flex-end;
    border: 1px solid #aaa;
    padding: 4%;
    position: relative;
}
.balloon-4536 .editor-inner-blocks p {
    margin-bottom: 0;
}
.balloon-4536 .editor-inner-blocks::before,
.balloon-4536 .editor-inner-blocks::after {
    position: absolute;
    content: '';
    border: 10px solid transparent;
    top: 25px;
}
.balloon-4536 .editor-inner-blocks {
    margin-left: 20px;
}
.balloon-4536 .editor-inner-blocks::before {
    border-right: 10px solid #aaa;
    left: -20px;
}
.balloon-4536 .editor-inner-blocks::after {
    border-right: 10px solid #fff;
    left: -19px;
}
.balloon-4536.has-media-on-the-right .editor-inner-blocks {
    margin-right: 20px;
    margin-left: 0;
}
.balloon-4536.has-media-on-the-right .editor-inner-blocks::before {
    border-left: 10px solid #aaa;
    border-right: none;
    right: -20px;
    left: 100%;
}
.balloon-4536.has-media-on-the-right .editor-inner-blocks::after {
    border-left: 10px solid #fff;
    border-right: none;
    right: -19px;
    left: calc(100% - 1px);
}
/*---考え事風---*/
.balloon-4536.think .editor-inner-blocks {
    border-radius: 30px;
    -ms-flex-item-align: start;
    align-self: flex-start;
}
.balloon-4536.think .editor-inner-blocks::before,
.balloon-4536.think.has-media-on-the-right .editor-inner-blocks::before {
    border: 1px solid #aaa;
    border-radius: 50%;
    width: 8px;
    height: 8px;
    top: 15px;    
}
.balloon-4536.think .editor-inner-blocks::after,
.balloon-4536.think.has-media-on-the-right .editor-inner-blocks::after {
    border: 1px solid #aaa;
    border-radius: 50%;
    width: 4px;
    height: 4px;
    top: 20px;
}
.balloon-4536.think .editor-inner-blocks::before {
    left: -12px;
}
.balloon-4536.think .editor-inner-blocks::after {
    left: -19px;
}
.balloon-4536.think.has-media-on-the-right .editor-inner-blocks::before {
    right: -12px;
    left: initial;
}
.balloon-4536.think.has-media-on-the-right .editor-inner-blocks::after {
    right: -19px;
    left: initial;
}
/*---LINE風にする---*/
.balloon-4536.line .editor-inner-blocks {
    border-radius: 20px;
    background-color: #00da00;
    border-color: transparent !important;
}
.balloon-4536.line .editor-inner-blocks::before {
    border-right-color: transparent;
}
.balloon-4536.line .editor-inner-blocks::after {
    border-right-color: #00da00;
}
.balloon-4536.line.has-media-on-the-right .editor-inner-blocks::before {
    border-left-color: transparent;
}
.balloon-4536.line.has-media-on-the-right .editor-inner-blocks::after {
    border-left-color: #00da00;
}
.balloon-4536.think.line .editor-inner-blocks::before,.balloon-4536.think.line .editor-inner-blocks::after {
    background-color: #00da00; 
    border-color: transparent !important;
}
/* 吹き出し用CSS ここまで */

